Get Large Lakes item by id¶
lakes of the world, public domain
Operation ID: getLakesFeature
Authorization: None
Path parameters¶
local identifier of a feature
Query parameters¶
Indicates the coordinate reference system for the results.
The optional f parameter indicates the output format which the server shall provide as part of the response document. The default format is GeoJSON. Allowed values: `json`, `html`, `jsonld`. Default: `json`.
The optional lang parameter instructs the server return a response in a certain language, if supported. If the language is not among the available values, the Accept-Language header language will be used if it is supported. If the header is missing, the default server language is used. Note that providers may only support a single language (or often no language at all), that can be different from the server language. Language strings can be written in a complex (e.g. "fr-CA,fr;q=0.9,en-US;q=0.8,en;q=0.7"), simple (e.g. "de") or locale-like (e.g. "de-CH" or "fr_BE") fashion. Allowed values: `en-US`, `fr-CA`. Default: `en-US`.
Responses¶
fetch the feature with id featureId in the feature collection with id collectionId
Content type: application/geo+json
Schema: ogcapi-features-1__featureGeoJSON
Properties
| Property | Type | Required | Description |
|---|---|---|---|
type | string | Yes | Allowed values: Feature. |
geometry | ogcapi-features-1__geometryGeoJSON | Yes | — |
properties | object or null | Yes | — |
id | one of: string, integer | No | — |
links | array of ogcapi-features-1__link | No | — |
Example
{
"type": "Feature",
"links": [
{
"href": "http://data.example.com/id/building/123",
"rel": "canonical",
"title": "canonical URI of the building"
},
{
"href": "http://data.example.com/collections/buildings/items/123.json",
"rel": "self",
"type": "application/geo+json",
"title": "this document"
},
{
"href": "http://data.example.com/collections/buildings/items/123.html",
"rel": "alternate",
"type": "text/html",
"title": "this document as HTML"
},
{
"href": "http://data.example.com/collections/buildings",
"rel": "collection",
"type": "application/geo+json",
"title": "the collection document"
}
],
"id": "123",
"geometry": {
"type": "Polygon",
"coordinates": [
"..."
]
},
"properties": {
"function": "residential",
"floors": "2",
"lastUpdate": "2015-08-01T12:34:56Z"
}
}
Content type: text/html
Schema: string
Example
A query parameter has an invalid value.
Content type: application/json
Schema: ogcapi-features-1__exception
Properties
| Property | Type | Required | Description |
|---|---|---|---|
code | string | Yes | — |
description | string | No | — |
Example
Content type: text/html
Schema: string
Example
The requested resource does not exist on the server. For example, a path parameter had an incorrect value.